version: '3'
services:
  mdcx:
    image: stainless403/mdcx-builtin-gui-base:${MDCX_BUILTIN_IMAGE_TAG}
    container_name: ${MDCX_CONTAINER_NAME}
    env_file:
      - .env
    volumes:
      # 本地卷宗挂载
      - /volume2/docker/docker_projects/mdcx/data:/config
      - /volume2/docker/docker_projects/mdcx/mdcx-config:/mdcx-config
      - /volume2/docker/docker_projects/mdcx/mdcx-config/MDCx.config:/app/MDCx.config
      - /volume2/docker/docker_projects/mdcx/logs:/app/Log
      - /volume1/PornClub:/PornClub
    # environment:
    ports:
      - ${WEB_PORT}:5800
      - ${VNC_PORT}:5900
    restart: unless-stopped
    network_mode: bridge
    stdin_open: true